summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rwxr-xr-xcontrib/package/freifunk-watchdog/files/freifunk-watchdog.init6
1 files changed, 6 insertions, 0 deletions
diff --git a/contrib/package/freifunk-watchdog/files/freifunk-watchdog.init b/contrib/package/freifunk-watchdog/files/freifunk-watchdog.init
index 1f87bf744f..d6ede09b61 100755
--- a/contrib/package/freifunk-watchdog/files/freifunk-watchdog.init
+++ b/contrib/package/freifunk-watchdog/files/freifunk-watchdog.init
@@ -30,4 +30,10 @@ start()
stop()
{
start-stop-daemon -q -p $PID -x $BIN -K
+
+ if ! /etc/init.d/freifunk-watchdog enabled; then
+ if grep -q "$BIN" /etc/crontabs/root 2>/dev/null; then
+ sed -i -e "\\'$BIN'd" /etc/crontabs/root
+ fi
+ fi
}